HB-INFO(1)

NAME
hb-info - manual page for hb-info 11.0.1

DESCRIPTION

  Usage:

    hb-info [OPTION?] [FONT-FILE]

Query font information.

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-face
    Options for the font face

--help-font
    Options for the font instance

--help-variations
    Options for font variations used

--help-misc
    Miscellaneous options affecting queries

--help-query
    Options to query the font instance

  Font-face options:

--font-file=filename
    Set font file-name

-y, --face-index=index
    Set face index (default: 0)

--face-loader=loader
    Set face loader to use (default: ot)

    Supported face loaders are: ot/ft

--list-face-loaders
    List available face loaders and quit

  Font-instance options:

--font-size=1/2 integers or 'upem'
    Font size (default: upem)

--font-ppem=1/2 integers
    Set x,y pixels per EM (default: 0; disabled)

--font-ptem=point-size
    Set font point-size (default: 0; disabled)

--font-bold=1/2 numbers; eg. 0.05
    Set synthetic bold (default: 0)

--font-grade=1/2 numbers; eg. 0.05
    Set synthetic grade (default: 0)

--font-slant=slant ratio; eg. 0.2
    Set synthetic slant (default: 0)

--font-funcs=impl
    Set font functions implementation to use (default: ot)

    Supported font function implementations are: ot/ft

--list-font-funcs
    List available font functions and quit

--ft-load-flags=integer
    Set FreeType load-flags (default: 2)

  Variations options:

--named-instance=index
    Set named-instance index (default: none)

--variations=list
    Comma-separated list of font variations

    Variations are set globally. The format for specifying variation settings follows. All valid CSS font-variation-settings values other than 'normal' and 'inherited' are also accepted, though, not documented below.

    The format is a tag, optionally followed by an equals sign, followed by a number. For example:

    "wght=500" "slnt=-7.5"

  Miscellaneous options:

--direction=ltr/rtl/ttb/btt
    Set direction (default: ltr)

--script=ISO-15924 tag; eg. 'Latn'
    Set script (default: none)

--language=BCP 47 tag; eg. 'en'
    Set language (default: $LANG)

--ot-script=tag; eg. 'latn'
    Set OpenType script tag (default: none)

--ot-language=tag; eg. 'ENG'
    Set OpenType language tag (default: none)

  Query options:

-a, --all
    Show everything

--show-all
    Show all short information (default)

--show-face-count
    Show face count

--show-family
    Show family name

--show-subfamily
    Show subfamily name

--show-unique-name
    Show unique name

--show-full-name
    Show full name

--show-postscript-name
    Show Postscript name

--show-version
    Show version

--show-technology
    Show technology

--show-unicode-count
    Show Unicode count

--show-glyph-count
    Show glyph count

--show-upem
    Show Units-Per-EM

--show-extents
    Show extents

--get-name=name id; eg. '13'
    Get name

--get-style=style tag; eg. 'wght'
    Get style

--get-metric=metric tag; eg. 'hasc'
    Get metric

--get-baseline=baseline tag; eg. 'hang'
    Get baseline

--get-meta=tag tag; eg. 'dlng'
    Get meta information

--get-table=table tag; eg. 'cmap'
    Get font table

--list-all
    List all long information

--list-names
    List names

--list-style
    List style

--list-metrics
    List metrics

--list-baselines
    List baselines

-l, --list-tables
    List tables

--list-unicodes
    List characters

--list-glyphs
    List glyphs

--list-scripts
    List layout scripts

--list-features
    List layout features

--list-variations
    List variations

--list-palettes
    List color palettes

--list-meta
    List meta information

  Application Options:

-q, --quiet
    Generate machine-readable output

--version
    Show version numbers

Queries font file for various information. If no query option is specified, --show-all is assumed.

EXIT CODES

    0: Success.

    1: Option parsing failed.

    2: Failed loading font face.

    4: Failed setting font functions.

ENVIRONMENT

    HB_FACE_LOADER=face-loader; Overrides the default face loader.

    HB_FONT_FUNCS=font-funcs; Overrides the default font-funcs.

SEE ALSO

    hb-view(1), hb-shape(1), hb-subset(1), hb-info(1)

Find more information or report bugs at <https://github.com/harfbuzz/harfbuzz>